Bug 1205058 - Long filename support for Windows VM payload
Summary: Long filename support for Windows VM payload
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Michal Skrivanek
QA Contact: Israel Pinto
URL:
Whiteboard:
Depends On:
Blocks: 1084478 1216900
TreeView+ depends on / blocked
 
Reported: 2015-03-24 07:35 UTC by Michal Skrivanek
Modified: 2019-08-15 04:25 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The previous virtual machine payload ISO used only the Rock Ridge extension, and as a result Windows virtual machines could not use payloads with long filenames. This fix adds Microsoft's Joliet filesystem extension to the generated ISO, so that payloads with long filenames are now displayed correctly on both Windows and Linux systems.
Clone Of:
: 1216900 (view as bug list)
Environment:
Last Closed: 2016-03-09 19:33:37 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0362 normal SHIPPED_LIVE vdsm 3.6.0 bug fix and enhancement update 2016-03-09 23:49:32 UTC
oVirt gerrit 39898 ovirt-3.5 ABANDONED vm payload: Add Joliet FS support Never
oVirt gerrit 39900 master MERGED vm payload: Add Joliet FS support Never
oVirt gerrit 40534 ovirt-3.5 MERGED vm payload: Add Joliet FS support Never

Description Michal Skrivanek 2015-03-24 07:35:13 UTC
The payload iso is missing Joliet extensions for long filename support on Windows OSes, we do enable Rock Ridge for Linux guests so we should do the same for Windows
shouldn't hurt, they can coexist together

Comment 2 Michal Skrivanek 2015-04-28 16:35:20 UTC
Pending qa ack for a backport

Comment 6 Israel Pinto 2015-06-10 10:24:27 UTC
Verify with:
oVirt Engine Version: 3.6.0-0.0.master.20150519172219.git9a2e2b3.el6 
VDSM Version: vdsm-4.17.0-912

Steps:
1. Create 2 VM: Windows7 and RHEL-7.0
2. Add payload via rest with the long file name (more then 15 chars) to each VM like: ABcdefg_xyz_ooo_1234.txt
3. Check payload on VM.

On both OS the file name is as configure.

Comment 9 errata-xmlrpc 2016-03-09 19:33:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0362.html


Note You need to log in before you can comment on or make changes to this bug.